Name: zsh
Version: 4.1.1
Release: alt3
Serial: 1

Summary: A shell with lots of features
License: BSD-like
Group: Shells
Url: http://www.%name.org/

Source0: ftp://ftp.%name.org/pub/%name-%version.tar.bz2
Source1: zshguide.tar.bz2
Source2: zsh4-zshenv
Source3: zsh4-zshrc
Source4: zsh4-zlogout
Source5: zsh4-zlerc

Patch2: %name-4.0.4-mdk-serial.patch
Patch3: %name-4.1.1-alt-apt4rpm.patch
Patch4: %name-4.0.4-alt-tinfo.patch
Patch5: %name-4.1.1-alt-rpm-specific.patch
Patch6: %name-4.1.1-alt-zpty.patch
Patch7: %name-4.1.1-cvs-20030819-completion.patch.gz

Requires(post,preun): %__install_info
BuildPreReq: yodl >= 1.31.18-ipl3mdk

# Automatically added by buildreq on Thu Nov 06 2003
BuildRequires: libcap-devel libpcre-devel libpcre3 libtinfo-devel yodl

Summary(ru_RU.CP1251):    

%description
Zsh is a UNIX command interpreter (shell) usable as an
interactive login shell and as a shell script command
processor. Of the standard shells, %name most closely resembles
ksh but includes many enhancements. Zsh has command-line editing,
built-in spelling correction, programmable command completion,
shell functions (with autoloading), a history mechanism, and a
lots of other features

Install the %name package if you'd like to try out a different shell.

%description -l ru_RU.CP1251
Zsh -    Unix.      Zsh
   .

%package doc
Summary: The doc package of %name
Summary(ru_RU.CP1251):     %name
Group: Shells
Requires: %name = %serial:%version-%release

%description doc
Zsh is a UNIX command interpreter (shell) usable as an
interactive login shell and as a shell script command
processor. Of the standard shells, %name most closely resembles
ksh but includes many enhancements. Zsh has command-line editing,
built-in spelling correction, programmable command completion,
shell functions (with autoloading), a history mechanism, and a
lots of other features

This package include doc guide examples and manual for %name.

%description doc -l ru_RU.CP1251
Zsh -    Unix.     ,
zsh    .

        %name.

%prep
%setup -q -a1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
# disable libnsl/NIS support
export ac_cv_search_yp_all=no zsh_cv_sys_nis=no zsh_cv_sys_nis_plus=no
export CC=gcc
%__autoconf
%configure \
	--enable-etcdir=%_sysconfdir \
	--enable-fndir=%_datadir/%name/functions \
	--enable-site-fndir=/usr/local/%name/site-functions \
	--enable-function-subdirs \
	--with-curses-terminfo

# SMP-incompatible.
# Eliminate pcre deps.
%make MODDIR=%_libdir LIBS="`%__perl -ne 'print if s/^LIBS *= *// && s/-lpcre//' Makefile`"

# Restore pcre deps.
cd Src/Modules/
%__rm -fv pcre.so
%make MODDIR=%_libdir
cd ../..

%make test

%install
# Zsh hardcodes the prefix in binary even at install.
%makeinstall MODDIR=%buildroot%_libdir -C Src
%make_install DESTDIR=%buildroot install.fns install.man install.info

# Configuration files.
%__mkdir_p %buildroot{/bin,%_sysconfdir}
for f in %SOURCE2 %SOURCE3 %SOURCE4 %SOURCE5; do
	%__install -p -m644 $f %buildroot%_sysconfdir/${f##*-}
done

%__mv %buildroot%_bindir/%name %buildroot/bin/%name
%__ln_s `relative /bin/%name %_bindir/%name` %buildroot%_bindir/%name

# Copy documentation.
%__rm -rfv docroot
%__mkdir_p docroot/{Examples,Documentation,Zsh_Guide}

%__cp -a StartupFiles docroot
%__cp -a Functions/Misc/* Misc/* Util/* docroot/Examples
%__cp -a INSTALL ChangeLog* docroot/Documentation
%__cp -a Etc/* docroot/Documentation
%__mv docroot/Documentation/NEWS docroot
%__cp -a zshguide/*html docroot/Zsh_Guide

%__mkdir_p docroot/Zsh_Guide
bzcat %SOURCE1 | tar xf - -C docroot/Zsh_Guide
%__mv docroot/Zsh_Guide/zshguide/*html docroot/Zsh_Guide/
rmdir docroot/Zsh_Guide/zshguide

%__rm -fv docroot/StartupFiles/.distfiles
%__rm -fv docroot/Examples/{Makefile*,*.yo}
%__rm -fv docroot/Documentation/{Makefile*,*.yo}
%__mv docroot/Examples/compctl-examples docroot/StartupFiles

find docroot -name 'Makefile*' -o -name '.yo' -print0 |
	xargs -r0 %__rm -f --

find docroot %buildroot%_datadir -type f -print0 |
	xargs -r0 %__grep -FZl /usr/local/bin |
	xargs -r0 %__subst -p s,/usr/local/bin,%_bindir,g

%post
%install_info %name.info

%preun
%uninstall_info %name.info

# both packages use the same docdir
%define _customdocdir %_docdir/%name-%version

%files
%doc ChangeLog* LICENCE META-FAQ README docroot/NEWS 
%config(noreplace) %_sysconfdir/z*
/bin/%name
%_bindir/%name
%_libdir/%name
%_man1dir/*
%_infodir/*.info*
%_datadir/%name

%files doc
%doc docroot/{Documentation,Examples,StartupFiles,Zsh_Guide}

%changelog
* Thu Nov 06 2003 Alexey Tourbin <at@altlinux.ru> 1:4.1.1-alt3
- mdk-serial.patch: make it work on serial ports
- apt4rpm.patch: optimized for speed (2x gain)
- built explicitely without libnsl/NIS support
- pcre module built, with dependency tuning, so that zsh can reside in /bin
- /etc/zshrc:
  + history size increased: 1000 -> 9999
  + more history options enabled
  + use ~/.zsh_history instead of ~/.bash_history
  + moved zle configuration options to /etc/zlerc
  + synchronized /etc/zlerc with /etc/inputrc
  + dropped ZLS_COLORS stuff as it caused problems

* Sat Aug 23 2003 Alexey Tourbin <at@altlinux.ru> 1:4.1.1-alt2
- alt-zpty.patch: pty handling reworked, all tests pass; Sisyphus release
- alt-rpm-specific.patch: --lastchange option
- /etc/zshrc:
  + additional key bindings (#0001609)
  + /etc/bashrc is now sourced in interactive mode
- cvs-20030819-completion.patch: new completion functions available:
  iptables, cdrecord, chmod, nice, nmap, rar, sabcmd, ogg*
- zsh and zsh-doc packages use the same docdir

* Sun Aug 03 2003 Alexey Tourbin <at@altlinux.ru> 1:4.1.1-alt1
- 4.1.1; revision of all patches:
  + dropped: sigpipe.patch, cd.patch (needed no more)
  + updated: apt4rpm.patch
- zshenv: TMPPREFIX=$HOME/tmp/zsh
- path versioning dropped (/usr/lib/zsh/%version/zsh -> /usr/lib/zsh etc.)
- Daedalus release (some tests fail)

* Fri Sep 27 2002 Rider <rider@altlinux.ru> 1:4.0.6-alt1
- 4.0.6

* Mon Jul 01 2002 Dmitry V. Levin <ldv@altlinux.org> 4.0.4-alt5
- Patched to link with libtinfo.
- Fixed %%pre/%%preun/%%postun scripts.
- Resurrected %%serial to enable upgrades (lost by rider).

* Wed Jan 09 2002 Rider <rider@altlinux.ru> 4.0.4-alt4
- _apt bugfix

* Sun Jan 06 2002 Rider <rider@altlinux.ru> 4.0.4-alt3
- apt-get completion fix (specific for ALT)
- /etc/zshrc cleanup

* Thu Jan 03 2002 Rider <rider@altlinux.ru> 4.0.4-alt2
- russian summary and description

* Sat Nov 03 2001 Rider <rider@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Fri Aug 24 2001 Sergey Budnevitch <svb@altlinux.ru> 4.0.2-alt2
- Updated user guide
- minor changes in config files

* Sun Jul 15 2001 Sergey Budnevitch <svb@altlinux.ru> 4.0.2-alt1
- 4.0.2
- Remove duplicated documentation
- Sigpipe patch
- Several patches from development branch

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 3.1.9-ipl5mdk
- Fixed invalid dependences on /usr/local/*.

* Thu Jan 26 2001 Peter 'Nidd' Novodvorsky <petya@logic.ru> 3.1.9-ipl4mdk
- IPLabs Linux Team adaptations.

* Sat Aug 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.9-4mdk
- Set some %config file to (noreplace).
- Make -A to complete spec file for _rpm.

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.9-3mdk
- Get /usr/share/man also in the completion for perl manpages.
- BM.

* Wed Jul  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.9-2mdk
- Fix buildroot hardcoded in binary.

* Wed Jun 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.9-1mdk
- Use makeinstall macros (not easy this one :\).
- 3.1.9.

* Mon Jun  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.8-1mdk
- 3.1.8.

* Sun May 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev22-3mdk
- Fix path (%prefix/ucb -> %_bindir/X11)
- Fix keys (home-end-suppr-delete) directly in the zsh binary.

* Sun Apr 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev22-2mdk
- Remove doble .so in %_libdir/zsh/*.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev22-1mdk
- 3.1.6dev22.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev20-3mdk
- Fix completion of rpm with -qp*.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev20-2mdk
- Upgrade zshguide.

* Sat Mar 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev20-1mdk
- 3.1.6-dev20

* Wed Mar 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev19-3mdk
- Move global configuration here.
- Adjust groups.

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev19-2mdk
- Add new zshguide from pws.
- Separate the doc to the doc package

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev19-1mdk
- Clean Up spec (thanks specs-helper).
- Remove all our patchs (now all is commited to upstream main).
- 3.1.6dev19.

* Fri Feb 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev18-3mdk
- Recompile with glibc2.1.3 (first one).

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev18-2mdk
- Add --freshen completion.

* Tue Feb 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev18-1mdk
- Fix descriptions and summary.
- 3.1.6dev18.

* Thu Feb 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev17-2mdk
- Remove Makefile in %doc.
- BuildRequires: autoconf tetex.
- Lot of modications in the default config as suggested by Bart
  Schaefer <schaefer@zsh.org>.
- 3.1.6dev17.

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev16-1mdk
- dev16.
- Redo the tar_archive patchs.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev15-1mdk
- dev15.
- Fix doc generation with dev15.
- remove META-FAQ.
- disable lfs on sparc.

* Thu Jan  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6dev14-1mdk
- dev14 (note the name change).

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.6pws13-3mdk
- Remove temporary files.

* Fri Dec 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.6pws13 (mainly bug fixes).
- fix %post.
- fix rpm completion

* Thu Dec 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.6pws11 (mainly bug fixes).

* Tue Dec  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add run-help and perl-build the documentation.

* Tue Nov 30 1999 Francis Galiegue <francis@mandrakesoft.com>

- Completion machine patch - we use GNU make and GNU tar
- Small fix to %post script

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 3.1.6pws10
- Fix zprofile.
- Clean-up Franciseries.
- Clean-up specs.

* Mon Nov 29 1999 Francis Galiegue <francis@mandrakesoft.com>
- Grrr... Rebuilt on kenobi, toy ain't a cooker

* Mon Nov 29 1999 Francis Galiegue <francis@mandrakesoft.com>

- Completion system now handles bzip2'ed manpages and tarballs
- Some cool options

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add zshguide.txt to documentation.

* Thu Oct 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix bug in %_sysconfdir/zsh use USERNAME instead of USER.
- Improve %_sysconfdir/z* to source the /etc/profile.d/ files.

* Mon Oct 04 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 3.1.6-pws6
- Fix bad link.
- Fix bad manpages.

* Tue Aug 17 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix typo in examples directory name

* Sun Aug  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Copy documentation (yes a lot).
- Remove the completion machine and put them in [[ {etc,root}(skel|files) ]] package.

* Sat Aug  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- By defaut we launch the completion machine.
- Put zsh in %_bindir/
- Rewrite of Spec file for this new major version.

# end of file
